@import "../base/variable.scss";
@import "../base/mixins.scss";


.sidebar_rows_area{
    padding-top: 0 !important;
    .search_box{
        .form-group{
            .form-control{
                padding-left: 35px !important;
            }
        }
    }
    .sidebar_filters_area{
        .top_heading{
            padding-left: 20px;
            padding-top: 20px;
        }
        .scroable_area{
            .accordion{
                .accordion-item{
                    background-color: transparent;
                    border: none;
                    padding: 20px 0px;
                    padding-top: 10px;
                    .accordion-body{
                        &.sub{
                            .accordion-item{
                                &:last-child{
                                    .filter_box{
                                        border: none;
                                    }
                                }
                            }
                        }
                    }
                    .filter_box{
                        padding: 0;
                        border-bottom: 1px solid $drop-menu;
                        border-top: 0;
                        .accordion-header{
                            .accordion-button{
                                background-color: transparent !important;
                                padding-bottom: 25px;
                                padding-left: 20px;
                                padding-right: 20px;
                                &::after{
                                    background-image: url('../images/minus-.png');
                                    filter: invert(100%);
                                    background-size: auto;
                                    transform:unset;
                                }
                                &.collapsed{
                                    background-color: transparent !important;
                                    box-shadow: none;
                                    padding-left: 20px;
                                    padding-right: 20px;
                                }
                                &:not(.collapsed){
                                    background-color: transparent !important;
                                    box-shadow: none;
                                    padding-left: 20px;
                                    padding-right: 20px;
                                    &::after{
                                        background-image: url('../images/plus.png');
                                        background-size: auto;
                                        transform:unset;
                                        filter: invert(100%);
                                    }
                                }
                                &:focus{
                                    box-shadow: none;
                                    border: none;
                                }
                                .filter_title{
                                    padding-bottom: 0;
                                }
                            }
                            .accordion-button{
                                background-color: transparent !important;
                            }
                        }
                        .accordion-collapse{
                            .accordion-body{
                                padding: 20px;
                                .check_row{
                                    overflow: auto;
                                    max-height: 430px;
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}


.featured_restaurent_section{
    .featured_area{
        .featured_column{
            .listing_arrival{
                 background-color: $white;
                 margin-bottom: 20px;
                 border-radius: 10px;
                 @include transition(0.3s ease);
                 &:hover{
                    box-shadow: rgba(17, 17, 26, 0.1) 0px 4px 16px, rgba(17, 17, 26, 0.05) 0px 8px 32px;
                    @include transition(0.3s ease);
                 }
                 .arrvials_slider{
                     padding: 20px 14px;
                     a{
                         .arvial-slide-img{
                             img{
                                 width: 100%;
                                 object-fit: cover;
                             }
                         }
                     }
                     .description{
                         a{
                             color: $black;
                             h6{
                                 font-size: 18px;
                                 font-weight: 600;
                             }
                         }
                         p{
                             font-size: 14px;
                             color: $offfspra2;
                             font-weight: 500;
                         }
                     }
                 }
            }
            .view_more{
                padding-top: 20px;
            }
        }
    } 
 }

.sort_by{
    .sort_inner{
        padding-left: 20px
    }
}

.sort-by_wrap{
    @include clearfix();
    .left{
        padding-bottom: 32px;
        padding-top: 30px;
        p{
            font-size: 18px;
            color: $black;
            font-weight: 500;
        }
    }
}

/* Extra Huge large desktops */
@media (min-width: 1920px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1680px) and (max-width: 1919px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1600px) and (max-width: 1679px){
    
}

/* Extra large desktops and mac laptops*/
@media (min-width: 1400px) and (max-width: 1599px){
    
}

/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
	
}

/* Landscape tablets and ipad */
@media (min-width: 768px) and (max-width: 991px) {
	
}

/* Landscape phones and portrait tablets */
@media (min-width: 576px) and (max-width: 767px) {
	.sort-by_wrap{
        .right{
            float: left;
            padding-top: 10px;
            .sort_by_side{
                ul{
                    li{
                        &.dropdown{
                            .dropdown-menu{
                                right: -33px !important;
                            }
                        }
                    }
                }
            }
            
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 361px) and (max-width: 575px) {
	.sort-by_wrap{
        .right{
            float: left;
            padding-top: 10px;
            .sort_by_side{
                ul{
                    li{
                        &.dropdown{
                            .dropdown-menu{
                                right: -33px !important;
                            }
                        }
                    }
                }
            }
        }
    }
    .restaurent_listing_section{
        .restaurent_areas{
            .sidebar_rows_area{
                .sidebar_filters_area{
                    .top_heading{
                        border: none;
                        padding-top: 0;
                    }
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 360px) {
	.sort-by_wrap{
        .right{
            float: left;
            padding-top: 10px;
            .sort_by_side{
                ul{
                    li{
                        &.dropdown{
                            .dropdown-menu{
                                right: -33px !important;
                            }
                        }
                    }
                }
            }
        }
    }
    .restaurent_listing_section{
        .restaurent_areas{
            .sidebar_rows_area{
                .sidebar_filters_area{
                    .top_heading{
                        border: none;
                        padding-top: 0;
                    }
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 320px) {
    
}